メンバーのロケール形式が不正
APIはこの問題に対して400 Bad Requestを返します。typeはhttps://lingo.dev/docs/api/errors/member-locales-malformedです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。
BCP-47形式のロケールではありません:"<locale>"。"en"、"pt-BR"、"zh-Hans-CN"などのロケールを指定してください。どの言語でも受け入れる場合は、ロケールを指定しないでください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
userId | string |
locales | string[] |
例#
json
{
"detail": "Not BCP-47 locales: \"<locale>\". Use locales such as \"en\", \"pt-BR\" or \"zh-Hans-CN\", or none for any language.",
"userId": "<userId>",
"locales": [
"<locale>"
],
"type": "https://lingo.dev/docs/api/errors/member-locales-malformed",
"status": 400,
"title": "Member locales malformed"
}このエラーを返すエンドポイント#
PATCH /v2/organizations/{orgId}/decision-pools/{id}POST /v2/organizations/{orgId}/decision-pools